<?php
/*------------------------------------------------------------------------
# mod_weathervenue - CMS Venue Weather Module -
# author    Cms Venue - support@CmsVenue.com
# copyright Copyright (C) 2010 CmsVenue.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.CmsVenue.com
# Technical Support:  Forum - http://www.CmsVenue.com/Support-Forums.html
-------------------------------------------------------------------------*/
// no direct access
  
  defined('_JEXEC') or die;

// params
  $jqueryload 		= $params->get('jqueryload', '1');
  $setDefaultCity 	= $params->get('setDefaultCity', 'london');
  $setYourLanguage 	= $params->get('setYourLanguage', 'en');
  $setdegree 		= $params->get('setdegree', ''); 
  $selectcity 		= $params->get('selectcity', 'Change City'); 
  
  
// end params
// load js and css
	$document = &JFactory::getDocument();
			// if jquery loads by another ext.
			if($jqueryload):
				$document->addScript( 'modules/mod_weathervenue/js/jquery.min.js' );
			endif;
				$document->addScript( 'modules/mod_weathervenue/js/cookie.js' );
				$document->addStyleSheet( 'modules/mod_weathervenue/css/style.css' );

// load
	
	$cannotfind = JTEXT::_('MOD_WEATHERVENUE_CANNOTFIND');							// "Cannot find";
	$indb = JTEXT::_('MOD_WEATHERVENUE_INDB');	// "in the database!" ;
	$pleasetry = JTEXT::_('MOD_WEATHERVENUE_TRYANOTHER');				// "Please, try with another city!" ;
	$submitbutt = JTEXT::_('MOD_WEATHERVENUE_SUBMIT');								// "Confirm";

$lang_1 = $cannotfind . "&nbsp;<u>" . $_COOKIE['cityCookie'] . "</u>&nbsp;" . $indb . "<br>" . $pleasetry ;

if(isset( $_COOKIE['cityCookie'] ))
{$myCity = $_COOKIE['cityCookie'];}
else
{$myCity = $setDefaultCity;}

// WEATHER : read google XML weather forecast
// $config['display-temp-unit'] = 'C'; // F=Fahrenheit, C=Celsius 
$URL = "http://www.google.com/ig/api?weather=".$myCity."&hl=".$setYourLanguage."";
$dataInISO = file_get_contents($URL);
$dataInUTF = mb_convert_encoding($dataInISO, "UTF-8", "ISO-8859-9"); //fix Google's API UTF-8 bug
$xml = simplexml_load_string($dataInUTF); 
$information = $xml->xpath("/xml_api_reply/weather/forecast_information");
$current = $xml->xpath("/xml_api_reply/weather/current_conditions");
$forecast_conditions = $xml->xpath("/xml_api_reply/weather/forecast_conditions");

$iconData = str_replace("/ig/images/weather/", "modules/mod_weathervenue/icons/",  $current[0]->icon['data']);
$iconData = str_replace(".gif", ".png", $iconData);
?>
<script type="text/javascript">
jQuery.noConflict()
jweather = jQuery

jweather(document).ready(function($){

	// SECURE IMAGE: if Google reports empty image data (rarely but sometimes happend!)--> set default image!
	if ($('.wCurrIcon').attr("src") == ($.text("")) ){	
		$('.wCurrIcon').attr("src", "modules/mod_weathervenue/icons/mostly_sunny.png");
	};
	if ($('.wIcon').attr("src") == ($.text("")) ){	
		$('.wIcon').attr("src", "modules/mod_weathervenue/icons/mostly_sunny.png");
	};
	
	$("input#wcity").val("");//clear input at page refresh
	// The following codes writes '-' instead of 'space' 
    $("#wcity").keydown(function (e) {             
		if (e.keyCode == 32) {                 
		$(this).val($(this).val() + "-"); // append '-' to SpaceBar input                 
		return false; // return false to prevent space from being added             
		}         
	})
	//In case of copy-paste used: do the same as above.
	.change(function (e) {             
		$(this).val(function (i, v) { return v.replace(/ /g, "-"); 
		});          
	}); 
	// END
    $(".weatherChooseBtn").click(function () {
         $(".weather_content").fadeOut(1000);
    });

	$(function() {
		$(".weatherChooseBtn").toggle(function (){
			$(".weatherForm").fadeIn(1000)
			$(".weatherChooseBtn").html("<font style='color:#f00;'>X</font>")
			.stop();
		}, function(){
			$(".weather_content").fadeIn(800);
			$(".weatherForm").fadeOut(1000)
			$(".weatherChooseBtn").text("<?php echo $selectcity; ?>")
			.stop();
		});
	});
	
	// if selected CITY non exists: show warning.
	if ($('.weath_check').is(':empty')){	
		$('.weather, .h2_hide, .weather_main').hide();  
		$('.weath_error').fadeIn(1000).html("<p><?php echo $lang_1 ?></p>");
	};
	var cookieOptions = {expires: 365, path: '/'};
	$(".wSubmit_btn").click(function() {
			if ($.trim($('#wcity').val()) == "") {		// prevent empty space submission
			return false;}
			else {
			$.cookie("cityCookie", $("#wcity").attr("value"), cookieOptions);// SET COOKIE
			location.reload();
			}
	});
});
</script>

<div class="weather_fc">
<div class="weather_content">

	<h2><?php print $information[0]->city['data']; ?></h2>
	<div class="weather_main">
	<table>
	<tr><td>
		<img class="wCurrIcon" src="<?php echo $iconData ?>">
	</td>
	<td>
		<div class="wToday">

			<span class="weath_check">
			<?php 
			if ($setdegree == "F"){ $today = $current[0]->temp_f['data']; }
			else if ($setdegree == "C"){ $today = $current[0]->temp_c['data']; }
			echo $today; 
			?>&deg;<?php echo $setdegree; ?></span>
			<?php echo $current[0]->condition['data'] ?><br />
			<?php echo $current[0]->humidity['data'] ?><br />
			<?php echo $current[0]->wind_condition['data'] ?>
		</div>
	</td>
	</tr>
	</table>
	</div>
	<?php
	// Tf = (9/5)*Tc+32;
	function fahren($Tc){
	$fahren = (9/5) * ($Tc + 32);
	return $fahren;
	}
	function celcius($Tc){
	// Tc = (5/9)*(Tf-32);
	$celcius = (5/9) * ($Tc - 32);
	return $celcius;
	}
?>
	<div class="weath_error" style="display:none"></div>
	<div class="weather_week">
	<?php foreach ($forecast_conditions as $forecast) : 
	// CUSTOM ICONS
	$iconData2 = str_replace("/ig/images/weather/", "modules/mod_weathervenue/icons/",  $forecast->icon['data']);
	$iconData2 = str_replace(".gif", ".png", $iconData2);
	?>

	<div class="weather">
		<span class="weather_day"><?php echo $forecast->day_of_week['data'];?></span>
		<img class="wIcon" src="<?php echo $iconData2 ?>" title="<?php echo $forecast->condition['data'] ?>"/>
		<span class="condition">
			<p><?php $data_min = $forecast->low['data'];
					 $data_max = $forecast->high['data']; ?>
				<?php if ($setdegree == "F" && $setYourLanguage !== "en"){ $data_min = fahren($data_min); $data_max = fahren($data_max);}
						else if ($setYourLanguage == "en" && $setdegree == "C"){
							$data_min = celcius($data_min);
							$data_max = celcius($data_max);
						}
				echo round($data_min)."&deg;&nbsp;".$setdegree."<br />";
				echo round($data_max)."&deg;&nbsp;".$setdegree ;
				?>
			</p>
		</span>
	</div>
	<? if ($setYourLanguage == "en" && $setdegree == "C"){
	$data_min = celcius($data_min);
	$data_max = celcius($data_max);
	}
	?>

	<?php endforeach ?>
	</div>
</div>

	<a href="javascript:void(0);" class="weatherChooseBtn"><?php echo $selectcity ?></a>

<div class="weatherForm" style="display:none">
	<input style="width:102px;" maxlength="24" id="wcity" name="wcity" type="text" value="" />
	<input class="wSubmit_btn" type="submit" value="<?php echo $submitbutt ?>" />
</div>
</div>
